
      subroutine getTopoTileInfo(ntiles,tfn,tfx,tln,tlx,ctile)
!------------------------------------------------------------------c 
!                                                                  c
!     get the information of the topography tile file              c
!                                                                  c
!    --->ntiles    number of tile files                            c
!    <-- tfn       mimimum latitude of each file                   c
!    <-- tfx       maximum latitude                                c
!    <-- tln       minimum longitude                               c
!    <-- tlx       maximum longitude                               c
!    <-- ctile     tile file name                                  c
!                                                                  c
!------------------------------------------------------------------c
    
      implicit none

      integer ntiles
      real tfn(ntiles),tfx(ntiles),tln(ntiles),tlx(ntiles)
      character*8 ctile(ntiles)
      integer n,lat,lon
      character*1 lndir,ltdir
      character*2 alat
      character*3 alon

      
      n=0
      do lat=-90,80,10
      do lon=-180,170,10
         n=n+1
         if (lon .lt. 0) then 
            lndir='W'
         else
            lndir='E'
         endif
         if (lat .lt. 0) then
            ltdir='S'
         else
            ltdir='N'
         endif
         write(alon,'(i3.3)') abs(lon)
         write(alat,'(i2.2)') abs(lat)
         ctile(n)='U'//alat//ltdir//alon//lndir
         tfn(n)=float(lat)
         tfx(n)=float(lat+10)
         tln(n)=float(lon)
         tlx(n)=float(lon+10)

      enddo
      enddo      

      return
      end



